const express = require("express");
const ytdl = require("ytdl-core");

const app = express();
app.get("/:id", async function (req, res) {
	try {
		console.log(req.params);
		const download = ytdl(
			`http://www.youtube.com/watch?v=${req.params.id}`,
			{
				format: "mp4",
			}
		);
		res.setHeader("Access-Control-Allow-Origin", "*");
		download.pipe(res);
	} catch (error) {
		res.writeHead(500);
		res.write(error.message);
		res.end();
	}
});
app.listen(2222);
console.log("Listening to port 2222");
